Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta.map
Class NotInClassNameIndicator

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.meta.Indicator
                  |
                  +--com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator
                        |
                        +--com.solarmetric.rd.kodo.impl.jdbc.meta.map.ColumnClassIndicator
                              |
                              +--com.solarmetric.rd.kodo.impl.jdbc.meta.map.NotInClassNameIndicator

public class NotInClassNameIndicator
extends ColumnClassIndicator

Determines the class of database records using a column holding the class name, and limits SELECTs with a NOT IN (...) statement. This mapping never assumes that it knows all possible subclasses.

Field Summary
`static java.lang.String` | `TYPE`

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`DEFAULT, FALSE, LOB, TRUE, UNIQUE`

Constructor Summary
`NotInClassNameIndicator()`

Method Summary
`void` | `addClassConditions(com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, com.solarmetric.rd.kodo.impl.jdbc.runtime.Select sel, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping cls, boolean subclasses)` Add SQL to limit the classes selected as much as possible to the given base class, and optionally its subclasses.
`protected java.lang.Class` | `getClass(java.lang.Object indicator, java.lang.ClassLoader loader)` Return the class for the given column value.
`protected java.lang.Object` | `getClassIndicator(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)` Return the value the column should take.
`protected int` | `getDataStoreTypeCode()` Return the `FieldMapping` type code for the type of data stored by this indicator.
`java.lang.String` | `getMappingName()`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.map.ColumnClassIndicator
`fromMappingInfo, getClass, getColumn, getJDBCType, insert, map, refSchemaComponents, select, setColumn, toMappingInfo`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.ClassIndicator
`getDefaults, newInstance, newInstance, toString`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Indicator
`delete, getMappingRepository, getOwnerMapping, getTable, setOwnerMapping, update`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`checkIndex, createColumn, delete, getDBDictionary, getForeignKey, getLog, getMappingType, getSchemaGroup, insert, invalidMapping, isCustomDelete, isCustomInsert, isCustomUpdate, reverseMap, setForeignKey, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Constructor Detail

### NotInClassNameIndicator

    public NotInClassNameIndicator()

Method Detail

### getMappingName

    public java.lang.String getMappingName()

### getDataStoreTypeCode

    protected int getDataStoreTypeCode()

  Description copied from class: `ColumnClassIndicator`
  Return the `FieldMapping` type code for the type of data stored by this indicator.

  Specified by:
    `getDataStoreTypeCode` in class `ColumnClassIndicator`

### getClassIndicator

    protected java.lang.Object getClassIndicator(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)

  Description copied from class: `ColumnClassIndicator`
  Return the value the column should take.

  Specified by:
    `getClassIndicator` in class `ColumnClassIndicator`

### getClass

    protected java.lang.Class getClass(java.lang.Object indicator,
                                       java.lang.ClassLoader loader)
                                throws java.lang.ClassNotFoundException

  Description copied from class: `ColumnClassIndicator`
  Return the class for the given column value.

  Specified by:
    `getClass` in class `ColumnClassIndicator`
    `java.lang.ClassNotFoundException`

### addClassConditions

    public void addClassConditions(com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                                   com.solarmetric.rd.kodo.impl.jdbc.runtime.Select sel,
                                   com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping cls,
                                   boolean subclasses)

  Description copied from class: `ClassIndicator`
  Add SQL to limit the classes selected as much as possible to the given base class, and optionally its subclasses.

  Specified by:
    `addClassConditions` in class `ClassIndicator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.